Bug 743266 - CVE-2011-2939 Perl decode_xs heap-based buffer overflow [fedora-all]
CVE-2011-2939 Perl decode_xs heap-based buffer overflow [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
15
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2011-2939
  Show dependency treegraph
 
Reported: 2011-10-04 08:46 EDT by Ramon de C Valle
Modified: 2013-10-13 21:01 EDT (History)
10 users (show)

See Also:
Fixed In Version: perl-5.14.2-193.fc17
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-03 06:29:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ramon de C Valle 2011-10-04 08:46:51 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=731246

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Petr Pisar 2011-10-04 10:52:10 EDT
Fixed as perl-5.14.2-193.fc17 by upgrading to Perl 5.14.2 in F17.
Comment 2 Petr Pisar 2011-10-05 12:27:16 EDT
Submitted for testing as perl-5.14.1-188.fc16 in F16.
Comment 3 Petr Pisar 2011-10-05 12:39:19 EDT
Submitted for testing as perl-5.12.4-162.fc15 in F15.
Comment 4 Petr Pisar 2011-10-05 12:50:48 EDT
Submitted for testing as perl-5.12.4-147.fc14 in F14.
Comment 5 Fedora Update System 2011-10-06 02:15:41 EDT
perl-5.14.1-188.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-5.14.1-188.fc16
Comment 6 Fedora Update System 2011-10-24 23:40:33 EDT
perl-5.14.1-188.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Petr Pisar 2011-10-25 02:53:37 EDT
perl-5.14.1-188.fc16 stable in F16 now.
perl-5.12.4-162.fc15 stable in F15 now.
Comment 8 Petr Pisar 2011-11-03 06:29:33 EDT
perl-5.12.4-147.fc14 stable in F14 now.

Note You need to log in before you can comment on or make changes to this bug.